/* msDistri - microscope distributor
 * version 0.1 date 2009-06-19
 * Copyright (C) 2009 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_layout
#define INC_layout

/* east tower input layout:
 *   total: 30x21
 *   upper part: 30x12 (rows 0-11)
 *   lower part: 30x9 (rows 12-20)
 *
 * west tower input layout:
 *   total: 22x15
 *   upper part: 22x8 (rows 0-7)
 *   lower part: 22x7 (rows 8-14)
 *
 * east tower outputs:
 *   output 0: upper part, columns 0-7
 *   output 1: upper part, columns 8-15
 *   output 2: upper part, columns 16-23
 *   output 3: upper part, columns 24-29 (30-31 always zero)
 *   output 4: lower part, columns 0-7
 *   output 5: lower part, columns 8-15
 *   output 6: lower part, columns 16-23
 *   output 7: lower part, columns 24-29 (30-31 always zero)
 *
 * west tower output:
 *   output 0: upper part, columns 0-7
 *   output 1: upper part, columns 8-15
 *   output 2: upper part, columns 16-21 (22-23 always zero)
 *   output 3: always zero
 *   output 4: lower part, columns 0-7
 *   output 5: lower part, columns 8-15
 *   output 6: lower part, columns 16-21 (22-23 always zero)
 *   output 7: always zero
 */

#include "layout_select.h"

#ifdef LAYOUT_EAST
# define TOTAL_WIDTH (30)
# define UPPER_HEIGHT (12)
# define LOWER_HEIGHT (9)
#endif // #ifdef EAST_TOWER

#ifdef LAYOUT_WEST
# define TOTAL_WIDTH (22)
# define UPPER_HEIGHT (8)
# define LOWER_HEIGHT (7)
#endif // #ifdef EAST_TOWER

#define TOTAL_HEIGHT (UPPER_HEIGHT + LOWER_HEIGHT)

#endif // #ifndef INC_layout

