/* msDistri - microscope distributor
 * version 0.1 date 2009-06-19
 * Copyright (C) 2009 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_serial
#define INC_serial

// initialize
extern void SerialInit( void );

// output the same byte on all serial ports
//  - value: the value to output
extern void SerialOutputAll( unsigned char value );

// output a special byte on one serial port (and annother one on all other ports)
//  - port: the number of the port to output the value on: 0 ... 7
//  - value_one: the value to output on the specified port, 0x00 ... 0xFF
//  - value_other: the value to output on all other ports, 0x00 ... 0xFF
extern void SerialOutputOne( unsigned char port, unsigned char value_one, unsigned char value_other );

// output a byte on each serial port
//  - data are the 8 bytes to output on the 8 ports
extern void SerialOutputEach( unsigned char data[8] );

// tick procedure - call every 200ms
extern void SerialTick200( void );

#endif // #ifdef INC_serial

